﻿body {
    min-height:100vmin;
}
.datepicker {
    z-index: 1151 !important;
}

#per-loader-container {
    width: 100%;
    position: absolute;
    height: 100%;
    opacity: 0;
    left: 0px;
    top: 0px;
    opacity: 1;
    background-color: #37474f;
    z-index: 99;
    display: flex;
    justify-content: center;
    align-items: center;
}

    #per-loader-container .loader {
        position: relative;
        width: 200px;
        height: 200px;
    }

        #per-loader-container .loader::after, .loader::before {
            position: absolute;
            top: 0px;
            left: 0px;
            width: 100%;
            height: 100%;
        }

        #per-loader-container .loader::after {
            content: '';
            display: block;
            border-left: 15px dotted #ffffff;
            border-bottom: 10px dotted #ffffff;
            border-radius: 50%;
            animation: spin 4s linear infinite;
        }

        #per-loader-container .loader::before {
            display: flex;
            justify-content: center;
            align-items: center;
            content: 'Loading...';
            color: white;
            font-size: 1.5rem;
            text-shadow: 1px 2px 13px rgba(228,209,209,0.65);
            animation: fade 4s linear infinite;
        }

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

@keyframes fade {
    0% {
        opacity: 1;
    }

    50% {
        opacity: .5;
    }

    100% {
        opacity: 1;
    }
}



 .model-errors:empty {
   display: none;
}
.model-errors.ng-active
{
    /*background: maroon;*/
    margin-top: 0px;
    color: #ff5252;
    /*padding: 2px 4px 2px 4px;*/
    /*border-radius: 4px;*/
    position: relative;
    /*color: white;*/
    font-size: 0.8rem;
}

/*.model-errors.ng-active::after {
    content: "";
    position: absolute;
    top: -8px;
    left: 5px;
    border-style: solid;
    border-color: transparent transparent maroon;
    border-width: 4px;
}*/

.req:after {
    content:'*';
    color:#ff0000;

}

 .dataTables_scrollBody table td {
            padding:2px;
        }